unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, DBXpress, FMTBcd, DB, SqlExpr;

type
  TMainForm = class(TForm)
    ListView: TListView;
    GroupBox1: TGroupBox;
    btnConnect: TButton;
    btnInsert: TButton;
    btnRemove: TButton;
    SQL: TSQLConnection;
    Query: TSQLDataSet;
    procedure btnInsertClick(Sender: TObject);
    procedure btnConnectClick(Sender: TObject);
    procedure btnRemoveClick(Sender: TObject);
  private

  public
    procedure LoadTable;
  end;

var
  MainForm: TMainForm;

implementation

uses InsertFrm;

{$R *.dfm}

procedure TMainForm.btnInsertClick(Sender: TObject);
begin
{ wywietl formularz sucy do dodawania kolejnych rekordw }
  InsertForm := TInsertForm.Create(Application);
  InsertForm.ShowModal;
  InsertForm.Free;
end;

procedure TMainForm.LoadTable;
var
  i : Integer;
  ListItem : TListItem;
begin
  ListView.Items.Clear;

  Query.CommandText := 'SELECT * FROM towary'; // odczytanie danych z tabeli
  Query.Open;   

  { przedstaw informacje w komponencie TListView }
  for I := 0 to Query.RecordCount do
  begin
    ListItem := ListView.Items.Add;
    ListItem.Caption := Query.FieldValues['id'];
    ListItem.SubItems.Add(Query.FieldValues['towar']);
    ListItem.SubItems.Add(Query.FieldValues['sztuk']);
    ListItem.SubItems.Add(Query.FieldValues['cena'] + ' z');
    ListItem.SubItems.Add(Query.FieldValues['data']);
    Query.Next;
  end;

  Query.Close;
end;

procedure TMainForm.btnConnectClick(Sender: TObject);
begin
  SQL.Connected := True; // pocz
  LoadTable;
  SQL.Connected := False;
end;

procedure TMainForm.btnRemoveClick(Sender: TObject);
begin
  SQL.Connected := True; // pocz
  Query.CommandText := Format('DELETE FROM users where id="%s"', [ListView.Selected.Caption]);
  Query.ExecSQL(True);
  LoadTable; // po wykonaniu zapytania - wywoaj procedur
  SQL.Connected := False; // rozcz z serwerem
end;

end.
